package com.utopiaindustries.qualitychecker.models;

import java.io.Serializable;

public class Product implements Serializable {

    private static final long serialVersionUID = 1L;
    private String asin;
    private String parentAsin;
    private String marketplace;
    private String sku;
    private String title;
    private String hsCode;
    private String modelNumber;
    private long itemPerBox;
    private String smColor;
    private String smSize;
    private String smItemName;
    private long itemPerPack;
    private long inventory;
    private String category;
    private String fnsku;

    public String getAsin() {
        return asin;
    }

    public void setAsin(String asin) {
        this.asin = asin;
    }

    public String getParentAsin() {
        return parentAsin;
    }

    public void setParentAsin(String parentAsin) {
        this.parentAsin = parentAsin;
    }

    public String getMarketplace() {
        return marketplace;
    }

    public void setMarketplace(String marketplace) {
        this.marketplace = marketplace;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }

    public long getItemPerBox() {
        return itemPerBox;
    }

    public void setItemPerBox(long itemPerBox) {
        this.itemPerBox = itemPerBox;
    }

    public String getSmColor() {
        return smColor;
    }

    public void setSmColor(String smColor) {
        this.smColor = smColor;
    }

    public String getSmSize() {
        return smSize;
    }

    public void setSmSize(String smSize) {
        this.smSize = smSize;
    }

    public String getSmItemName() {
        return smItemName;
    }

    public void setSmItemName(String smItemName) {
        this.smItemName = smItemName;
    }

    public long getItemPerPack() {
        return itemPerPack;
    }

    public void setItemPerPack(long itemPerPack) {
        this.itemPerPack = itemPerPack;
    }

    public long getInventory() {
        return inventory;
    }

    public void setInventory(long inventory) {
        this.inventory = inventory;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getFnsku() {
        return fnsku;
    }

    public void setFnsku(String fnsku) {
        this.fnsku = fnsku;
    }

    @Override
    public String toString() {
        return "Product{" +
                "asin='" + asin + '\'' +
                ", parentAsin='" + parentAsin + '\'' +
                ", marketplace='" + marketplace + '\'' +
                ", sku='" + sku + '\'' +
                ", title='" + title + '\'' +
                ", hsCode='" + hsCode + '\'' +
                ", modelNumber='" + modelNumber + '\'' +
                ", itemPerBox=" + itemPerBox +
                ", smColor='" + smColor + '\'' +
                ", smSize='" + smSize + '\'' +
                ", smItemName='" + smItemName + '\'' +
                ", itemPerPack=" + itemPerPack +
                ", inventory=" + inventory +
                ", category='" + category + '\'' +
                ", fnsku='" + fnsku + '\'' +
                '}';
    }
}
